#pragma once

#include "GameEnemy.h"

class Pirate :
	public GameEnemy
{
public:
	Pirate(const float speed);
	virtual ~Pirate(void);

	virtual	void	anim(const float t);
	virtual	float	eval_contact_damage(const Vec3f& p) { return 400.0f; }
	virtual	float	get_xp_value() { return 180.0f; }

protected:
	Vec3f	_wander_inc;
	float	_wander_time;
	float	_speed;
	bool	_tracking;
};
