
//////////////////////////////////////////////////////////////////////

#include "RenderEnv.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

RenderEnv::RenderEnv()
{
	reset();
}

RenderEnv::RenderEnv(const RenderEnv& env)
{
	set(env);
}

RenderEnv::RenderEnv(const RenderEnv* env)
{
	set(env);
}

RenderEnv::~RenderEnv()
{
}

void RenderEnv::reset()
{
	memset(this,0,sizeof(RenderEnv));
}

void RenderEnv::set(const RenderEnv& env)
{
	memcpy(this,&env,sizeof(RenderEnv));
}

void RenderEnv::set(const RenderEnv* env)
{
	memcpy(this,env,sizeof(RenderEnv));
}

std::string RenderEnv::get_key()
{
	std::string		tmp="00000000000000000000000000000000";
	unsigned char*	ptr=(unsigned char*)this;
	for (size_t i=0; i<sizeof(RenderEnv); i++)
	{
		sprintf_s((char*)(tmp.c_str()+i*2),3,"%02X",(*ptr));
		ptr++;
	}
	return tmp;
}
