#pragma once

#include "GameObject.h"

class GameEnemy :
	public GameObject
{
public:
	typedef std::vector<GameEnemy*>	Vector;
public:
	GameEnemy(const char* type,const char* name,const long model_id);
	virtual ~GameEnemy(void);
	
	virtual	float	eval_contact_damage(const Vec3f& p) { return 0.0f; }
			void	deal_damage(const float damage);
	virtual	void	finished_alpha_fade(const float inc_alpha);
	virtual	float	get_xp_value() { return 100.0f; }

public:
	static	Vector	g_enemies;
};

 