#include "ModelObj3d.h"

#pragma once

class GameObject :
	public ModelObj3d
{
public:
	GameObject(const char* type,const char* name,const long model_id);
	virtual ~GameObject(void);

	virtual	void	anim(const float t);
	virtual	void	draw();

			bool	check_collision(Vec3f& collision_point,int& collision_point_index);
			bool	check_collision(const int index,Vec3f& collision_point);
			float	get_health() { return _health; }
			float	get_health_percentage() { return _health/_max_health; }
			void	set_max_health(const float f);
	inline	void	set_health(const float f) { _health=f; }
	inline	float	get_radius() { return _radius; }
	virtual	void	finished_alpha_fade(const float inc_alpha) { ; }
	inline	void	set_inc_alpha(const float f) { _inc_alpha=f; }

protected:
	Vec3f	_collision_points[8];
	int		_collision_point_count;
	float	_health;
	float	_max_health;
	float	_inc_alpha;
	float	_radius;
};

