#pragma once

#include "Object3d.h"

class Minerals :
	public Object3d
{
protected:
	typedef std::vector<Vec3f>	Points;
	struct Element
	{
		Vec3f	_base_pos;
		float	_radius;
		float	_angle;
		float	_speed;
	};
	typedef std::vector<Element*>	Elements;
public:
	typedef std::list<Minerals*>	Vector;
public:
	Minerals(void);
	virtual ~Minerals(void);

	virtual	void	anim(const float t);
	virtual	void	draw();

	inline	float	get_minerals() { return _minerals; }
			void	set_minerals(const float f,const bool sparks);

protected:
	Elements	_elements;
	float		_minerals;
public:
	static	Vector	g_minerals;
};
