#pragma once
#include "Object3d.h"
#include "TextureManager.h"

class Material;

class ModelObj3d :
	public Object3d
{
public:
	ModelObj3d(const char* type,const char* name);
	virtual ~ModelObj3d(void);

	inline	void		set_mesh(BaseMesh* mesh,const bool bind_mesh) { _mesh=mesh; _mesh_bound=bind_mesh; }
	inline	void		set_mesh(const int model_id) { _model=model_id; }
			BaseMesh*	get_mesh();
	virtual	void		anim(const float t);
	virtual	void		draw();

protected:
			void		make_material_copy();

protected:
	BaseMesh*		_mesh;
	int				_model;
	bool			_mesh_bound;
	Material*		_material;
};

