#pragma once

#include "Defs.h"
#include <recast.h>
#include <DetourNavMesh.h>
#include <DetourNavMeshBuilder.h>
#include <DetourNavMeshQuery.h>

class NavPath
{
public:
	NavPath();
	virtual ~NavPath(void);

	void	clear();
	void	draw();

protected:
	Vec3f			_source;
	Vec3f			_target;
	dtPolyRef		_path[512];
	int				_path_len;
	int				_path_pos_len;
	dtPolyRef		_path_refs[2048];
	unsigned char	_path_flags[2048];
	Vec3f			_path_pos[2048];
	long			_path_waypoint;
protected:
	friend class NavMesh;
};
