#pragma once

#include "Defs.h"
#include "lua/LUAMain.h"

class BaseMesh;

class Object3d : public LUAReference
{
public:
	Object3d(const char* type,const char* name);
	virtual ~Object3d(void);

	virtual void		draw() = 0;
	virtual	void		anim(const float t);

	inline	void		set_draw(bool b) { _draw=b; }
	inline	bool		get_draw() { return _draw; }

	inline	void		link_to(Object3d* obj) { _link=obj; }

public:
	Vec3f		_pos;
	Quaternion	_ori;
	Vec3f		_scale;
	bool		_draw;
	Object3d*	_link;
};
