#include "TextObj.h"
#include "Font.h"

TextObj::TextObj(const char* name,const std::string& text,Font* font) : Drawable("text2d",name)
{
	_text=text;
	_font=font;
	_flags=TEXT_NORMAL;
}

TextObj::~TextObj(void)
{
}

void TextObj::draw()
{
	if (!_draw) return;
	
	_font->write_text(_pos.x,_pos.y,0.05f,_color.x,_color.y,_color.z,_color.w,_text.c_str(),_flags);
}

void TextObj::anim(const float t)
{

}
