#pragma once
#include "Drawable.h"

class Font;

class TextObj :
	public Drawable
{
public:
	TextObj(const char* name,const std::string& text,Font* font);
	virtual ~TextObj(void);

	virtual	void	draw();
	virtual void	anim(const float t);

protected:
	std::string		_text;
	Font*			_font;
	unsigned long	_flags;
};
